CMSIS-NN: cmsis_nn_conv_params Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_conv_params Struct Reference

## Data Fields

int32_t | input_offset
int32_t | output_offset
cmsis_nn_tile | stride
cmsis_nn_tile | padding
cmsis_nn_tile | dilation
cmsis_nn_activation | activation

## Description

CMSIS-NN object for the convolution layer parameters

## Field Documentation

cmsis_nn_activation cmsis_nn_conv_params::activation

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), and arm_nn_mat_mul_core_4x_s8().

cmsis_nn_tile cmsis_nn_conv_params::dilation

Referenced by arm_convolve_s16(), arm_convolve_s8(), arm_convolve_wrapper_s16(), arm_convolve_wrapper_s16_get_buffer_size(), arm_convolve_wrapper_s8(), and arm_convolve_wrapper_s8_get_buffer_size().

int32_t cmsis_nn_conv_params::input_offset

Zero value for the input tensor

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_s8(), and arm_nn_mat_mul_core_4x_s8().

int32_t cmsis_nn_conv_params::output_offset

Zero value for the output tensor

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_s8(), and arm_nn_mat_mul_core_4x_s8().

cmsis_nn_tile cmsis_nn_conv_params::padding

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_convolve_wrapper_s8(), and arm_convolve_wrapper_s8_get_buffer_size().

cmsis_nn_tile cmsis_nn_conv_params::stride

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_convolve_wrapper_s8(), and arm_convolve_wrapper_s8_get_buffer_size().